Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface SpecificationLink

All Superinterfaces:
  ExtensibleObject, RegistryObject

public interface SpecificationLink
extends RegistryObject

A SpecificationLink provides the linkage between a ServiceBinding and one of its technical specifications that describes how to use the service using the ServiceBinding. For example, a ServiceBinding may have a SpecificationLink instance that describes how to access the service using a technical specification in the form of a WSDL document or a CORBA IDL document. It serves the same purpose as the union of the tModelInstanceInfo and instanceDetails structures in UDDI.

Author:
  Farrukh S. Najmi
See Also:
  `Concept`

Method Summary
`ServiceBinding` | `getServiceBinding()` Gets the parent ServiceBinding for this SpecificationLink.
`RegistryObject` | `getSpecificationObject()` Gets the specification object for this object.
`InternationalString` | `getUsageDescription()` Gets the description of usage parameters.
`java.util.Collection` | `getUsageParameters()` Gets any usage parameters.
`void` | `setSpecificationObject(RegistryObject obj)` Sets the specification object for this object.
`void` | `setUsageDescription(InternationalString usageDescription)` Sets the description of usage parameters.
`void` | `setUsageParameters(java.util.Collection usageParameters)` Sets any usage parameters.

Methods inherited from interface javax.xml.registry.infomodel.RegistryObject
`addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject
`addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

Method Detail

### getSpecificationObject

    public RegistryObject getSpecificationObject()
                                          throws JAXRException

  Gets the specification object for this object.

  Capability Level: 0

  Returns:
    the RegistryObject that is the specification object. For a UDDI provider the specification object must be a Concept with no parent. For an ebXML provider it is likely to be an ExtrinsicObject.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setSpecificationObject

    public void setSpecificationObject(RegistryObject obj)
                                throws JAXRException

  Sets the specification object for this object.

  Capability Level: 0

  Parameters:
    `obj` - the RegistryObject that is the specification object. For a UDDI provider the specification object must be a Concept with no parent. For an ebXML provider it is likely to be an ExtrinsicObject.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getUsageDescription

    public InternationalString getUsageDescription()
                                            throws JAXRException

  Gets the description of usage parameters. Default is an empty String.

  Capability Level: 0

  Returns:
    the usage description for this object, which must not be null
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setUsageDescription

    public void setUsageDescription(InternationalString usageDescription)
                             throws JAXRException

  Sets the description of usage parameters.

  Capability Level: 0

  Parameters:
    `usageDescription` - the description of usage parameters for this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getUsageParameters

    public java.util.Collection getUsageParameters()
                                            throws JAXRException

  Gets any usage parameters. A usage parameter is an arbitrary String that describes how to use the technical specification accessed via this SpecificationLink. Each parameter is a String.

  Capability Level: 0

  Returns:
    the Collection of String instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setUsageParameters

    public void setUsageParameters(java.util.Collection usageParameters)
                            throws JAXRException

  Sets any usage parameters. Each parameter is a String

  Capability Level: 0

  Parameters:
    `usageParameters` - the Collection of usage parameter Strings
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getServiceBinding

    public ServiceBinding getServiceBinding()
                                     throws JAXRException

  Gets the parent ServiceBinding for this SpecificationLink.

  Capability Level: 0

  Returns:
    the parent ServiceBinding within which this object is composed
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.